# (tpg) got broken since 0.1.7
%define _disable_ld_no_undefined 1

%define url_ver %(echo %{version} | cut -d. -f1,2)

%define system_waf	0
%define with_gtk3	0

# don't provide plugin .so
%define _exclude_files_from_autoprov %{_libdir}/%{name}/.*\\.so

Summary:	Web browser based on WebKitGtk
Name:		midori
Version:	0.4.8
Release:	%mkrel 1
License:	LGPLv2+
Group:		Networking/WWW
URL:		http://www.twotoasts.de/index.php?/pages/midori_summary.html
# For git: git clone http://software.twotoasts.de/media/midori.git
Source0:	http://archive.xfce.org/src/apps/midori/%{url_ver}/%name-%version.tar.bz2
# (tpg) set default homepage
Patch0:		midori-0.4.7-default-homepage.patch
Patch1:		midori-0.4.7-desktop-fix.patch
BuildRequires:	pkgconfig(gio-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gthread-2.0) >= 2.8.0
BuildRequires:	pkgconfig(libidn) >= 1.0
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6
BuildRequires:	pkgconfig(sqlite3) >= 3.0
BuildRequires:	pkgconfig(unique-1.0) >= 0.9
BuildRequires:	pkgconfig(zeitgeist-1.0)

%if %{with_gtk3}
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(webkitgtk-3.0) >= 1.1.17
%else
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.10.0
BuildRequires:	pkgconfig(webkit-1.0) >= 1.1.1
%endif

BuildRequires:	pkgconfig(x11)
BuildRequires:	intltool
BuildRequires:	libxscrnsaver-devel
BuildRequires:	python-docutils

%if %{system_waf}
BuildRequires:	waf
%endif

BuildRequires:	vala >= 0.13.2
BuildRequires:	desktop-file-utils
BuildRequires:	librsvg
Provides:	webclient
Requires:	indexhtml
Requires:	xdg-utils
Requires:	glib-networking
Requires:	gsettings-desktop-schemas

%description
Midori is a lightweight GTK+ 2 web browser based on WebKitGtk. It 
features tabs, windows and session management, bookmarks stored with 
XBEL, searchbox based on OpenSearch, and user scripts support.

%package vala
Group:		Networking/WWW
Summary:	Vala supported extensions for %{name}
Requires:	%{name} = %{version}

%description vala
This package contains files needed when building vala supported extensions for %{name}.

%prep
%setup -q
%apply_patches

%build
# (tpg) fix module naming
sed -i -e 's/import UnitTest/import unittest/g' wscript

# (ahmad) 0.3.2-1.mga1, doesn't build with system waf
%if %{system_waf}
%configure_waf \
	--enable-addons \
%else
%setup_compile_flags
export LINKFLAGS="%ldflags"
./waf configure \
%if %{with_gtk3}
	--enable-gtk3 \
%else
	--disable-gtk3 \
%endif
	-j1 \
	--prefix=%{_prefix} \
	--datadir=%{_datadir} \
	--libdir=%{_libdir} \
	--enable-addons \
%endif

%if %{system_waf}
%waf
%else
./waf build -j1
%endif

%install
%if %{system_waf}
%waf_install
%else
./waf install --destdir=%{buildroot}
%endif

#fix desktop file
desktop-file-install \
	--remove-not-show-in="Pantheon" \
	--dir %{buildroot}%{_datadir}/applications \
		 %{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/%{name}
%{_sysconfdir}/xdg/midori

%files vala
%{_includedir}/%{name}*
%{_datadir}/vala/vapi/delayed-load.deps
%{_datadir}/vala/vapi/delayed-load.vapi
%{_datadir}/vala/vapi/history-list.deps
%{_datadir}/vala/vapi/history-list.vapi
%{_datadir}/vala/vapi/external-download-manager.deps
%{_datadir}/vala/vapi/external-download-manager.vapi
%{_datadir}/vala/vapi/nsplugin-manager.deps
%{_datadir}/vala/vapi/nsplugin-manager.vapi


%changelog

* Mon Feb 11 2013 wally <wally> 0.4.8-1.mga3
+ Revision: 397897
- fix desktop file
- exclude plugins from provides
- new version 0.4.8

* Sat Jan 12 2013 umeabot <umeabot> 0.4.7-3.mga3
+ Revision: 360041
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 wally <wally> 0.4.7-2.mga3
+ Revision: 304388
- require gsettings-desktop-schemas (mga#7750)

* Thu Sep 20 2012 wally <wally> 0.4.7-1.mga3
+ Revision: 296342
- new version 0.4.7
- rediff patches

* Sun Jul 01 2012 wally <wally> 0.4.6-2.mga3
+ Revision: 266053
- switch back to gtk2
- add some conditionals to build against gtk2/gtk3

* Mon May 28 2012 wally <wally> 0.4.6-1.mga3
+ Revision: 248664
- new version 0.4.6

* Fri Mar 09 2012 fwang <fwang> 0.4.4-1.mga2
+ Revision: 221883
- new version 0.4.4

* Mon Dec 19 2011 wally <wally> 0.4.3-3.mga2
+ Revision: 184522
- fix default homepage patch to point file which is available
  also when %%_excludedocs macro is set to yes in /etc/rpm/macros

* Mon Dec 19 2011 fwang <fwang> 0.4.3-2.mga2
+ Revision: 184117
- build gtk3 flavour

* Sun Dec 18 2011 wally <wally> 0.4.3-1.mga2
+ Revision: 183694
- new version 0.4.3

* Sun Dec 11 2011 wally <wally> 0.4.2-2.mga2
+ Revision: 180561
- require glib-networking to enable TLS/SSL support (mga#3693)

* Sat Nov 12 2011 wally <wally> 0.4.2-1.mga2
+ Revision: 166879
- new version 0.4.2
- drop obsoleted configure option
- add patch to drop Unity specific portions from .desktop file
- fix file list
- minor .spec cleanup

  + fwang <fwang>
    - new version 0.4.1
    - update file list
    - disable paiallel build
    - new version 0.4.0

* Tue Jun 21 2011 dmorgan <dmorgan> 0.3.6-3.mga2
+ Revision: 111133
- Clean spec file
  Rebuild against new webkit

* Mon Jun 13 2011 ahmad <ahmad> 0.3.6-2.mga2
+ Revision: 105514
- Update to 0.3.6

* Mon Apr 04 2011 ahmad <ahmad> 0.3.3-2.mga1
+ Revision: 80497
- update to 0.3.3

* Wed Mar 16 2011 ahmad <ahmad> 0.3.2-2.mga1
+ Revision: 72964
- rebuild against webkit-1.2.x

* Sun Mar 13 2011 ahmad <ahmad> 0.3.2-1.mga1
+ Revision: 70772
- update to 0.3.2
- modify the BR
- build with bundled waf, this release doesn't build with system waf

  + kharec <kharec>
    - imported package midori


* Mon Nov 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.9-1mdv2011.0
+ Revision: 591565
- update to new version 0.2.9
- fix file list

* Sun Oct 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.8-1mdv2011.0
+ Revision: 582704
- update to new version 0.2.8

* Sun Aug 29 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.7-1mdv2011.0
+ Revision: 574006
- update to 0.2.7
- split vala files in a separate package
- fix configure options

* Mon Jun 07 2010 Lev Givon <lev@mandriva.org> 0.2.6-1mdv2010.1
+ Revision: 547220
- Update to 0.2.6.

* Sat Apr 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.4-2mdv2010.1
+ Revision: 538395
- remove python-pyunit, it doesn't exist any more
- modify default-homepage patch, it seems to break "restore last opened tabs"
  CCBUG: 58892

* Mon Apr 05 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.4-1mdv2010.1
+ Revision: 531745
- update to new version 0.2.4
- rediff patch 0
- add python-pyunit as a buildrequire
- fix file list
- Patch0: set default homepage
- updatte to new version 0.2.3

* Wed Dec 16 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.2-1mdv2010.1
+ Revision: 479153
- update to new version 0.2.2

* Sun Nov 15 2009 Funda Wang <fwang@mandriva.org> 0.2.1-1mdv2010.1
+ Revision: 466132
- new version 0.2.1

* Sat Nov 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-1mdv2010.1
+ Revision: 462323
- drop patch0
- add buildrequires on waf and use its macors
- update to new version 0.2.0

* Sun Sep 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.10-1mdv2010.0
+ Revision: 439035
- update to new version 0.1.10

* Mon Aug 03 2009 Pascal Terjan <pterjan@mandriva.org> 0.1.9-2mdv2010.0
+ Revision: 407685
- Fix i18n (#50935)

* Sun Aug 02 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.9-1mdv2010.0
+ Revision: 407502
- update to new version 0.1.9

* Wed Jul 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.8-1mdv2010.0
+ Revision: 398601
- update to new version 0.1.8

* Sat May 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.7-1mdv2010.0
+ Revision: 381362
- update to new version 0.1.7
- use _disable_ld_no_undefined
- fix file list

* Fri May 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.6-1mdv2010.0
+ Revision: 369237
- update to new version 0.1.6

* Thu Mar 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.4-1mdv2009.1
+ Revision: 354357
- Update to new version 0.1.4

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.1.3

* Sun Feb 15 2009 Adam Williamson <awilliamson@mandriva.org> 0.1.3-0.20090214.1mdv2009.1
+ Revision: 340453
- br libsoup-devel (this is recommended upstream)
- bump to current git

* Wed Jan 14 2009 Adam Williamson <awilliamson@mandriva.org> 0.1.2-1mdv2009.1
+ Revision: 329328
- drop string literal patch (should be fixed upstream now)
- new release 0.1.2 final

* Sat Dec 20 2008 Adam Williamson <awilliamson@mandriva.org> 0.1.2-0.20081219.1mdv2009.1
+ Revision: 316381
- rebuild with latest webkit
- pass our LDFLAGS as well as CFLAGS
- add format.patch (fixes a format-security build issue)
- bump to latest git

* Wed Dec 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.1-1mdv2009.1
+ Revision: 309835
- update to new version 0.1.1

* Wed Nov 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.1.1-0.20081125.2mdv2009.1
+ Revision: 306819
- specify libdir for waf
- update file list
- update license to LGPLv2+
- update to current git

* Sun Oct 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.0-1mdv2009.1
+ Revision: 295317
- fix file list
- update to new version 0.1.0

* Sat Sep 06 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.22-0.20080906.1mdv2009.0
+ Revision: 281890
- build against libunique, for single instance support
- ok, figured out how to set optimizations now
- try and set our optflags. don't think it's working, though. bloody 'improved'
  buildsystems...
- buildrequires librsvg (noticed the configure script checks for it)
- bump to current git and rebuild against latest webkit (fixes some crashes)

* Mon Sep 01 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.21-2mdv2009.0
+ Revision: 278573
- update to new version 0.0.21

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 0.0.20-2mdv2009.0
+ Revision: 275720
- BR gtksourceview
- update url and source

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 0.0.20-1mdv2009.0
+ Revision: 275655
- BR python-devel
- use waf to build
- 0.0.20 final

* Thu Aug 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.20-0.20080813.2mdv2009.0
+ Revision: 271959
- new snapshot 20080813 (bump version as 0.0.19 was released)

* Sat Jul 19 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.19-0.20080719.1mdv2009.0
+ Revision: 238812
- new snapshot 20080719

* Wed Jun 18 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.19-0.20080617.1mdv2009.0
+ Revision: 226054
- new git snapshot 20080617

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon May 05 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.18-2mdv2009.0
+ Revision: 201669
- update buildrequires for change in webkit libname (lower case now)

* Mon May 05 2008 Funda Wang <fwang@mandriva.org> 0.0.18-1mdv2009.0
+ Revision: 201368
- 0.0.18 final

* Wed Apr 23 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.18-0.20080423.1mdv2009.0
+ Revision: 197035
- buildrequires intltool
- new snapshot
- drop the middle click patch, as middle clicking now works properly
- new snapshot 20080415

* Thu Mar 20 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.18-0.20080320.1mdv2008.1
+ Revision: 189106
- rediff middleclick.patch
- bump to current git to build against new webkit
- add middleclick.patch: middle click acts as left click to avoid crash caused by bad handling of middle click in webkit (#37717) - patch from Nick Manley

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - rebuild for new webkit
    - add explicit provides on webclient

* Wed Jan 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.17-1mdv2008.1
+ Revision: 160322
- new release 0.0.17

* Sun Jan 06 2008 Funda Wang <fwang@mandriva.org> 0.0.16-1mdv2008.1
+ Revision: 146047
- BR jpeg
- BR icu

  + Adam Williamson <awilliamson@mandriva.org>
    - new release 0.0.16

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Adam Williamson <awilliamson@mandriva.org> 0.0.13-1mdv2008.1
+ Revision: 119609
- new release 0.0.13

* Fri Nov 30 2007 Adam Williamson <awilliamson@mandriva.org> 0.0.12-1mdv2008.1
+ Revision: 114202
- new release 0.0.12 (finally I get to update my own package for a change ;>)

  + Pascal Terjan <pterjan@mandriva.org>
    - s/Gdk/Gtk/ in summary and description

* Fri Nov 23 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.11-1mdv2008.1
+ Revision: 111364
- update to new version 0.0.11

* Wed Nov 21 2007 Thierry Vignaud <tv@mandriva.org> 0.0.10-2mdv2008.1
+ Revision: 111026
- rebuild for new libicu

* Sat Oct 13 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.10-1mdv2008.1
+ Revision: 97937
- 0.0.10
- Drop P0, fixed upstream

* Mon Oct 08 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.8-1mdv2008.0
+ Revision: 95732
- 0.0.8
- WebKitGdk is dead it is now WebKitGtk
- Add P0 to switch to update to the new api
- Use the .desktop which is now provided

* Mon Sep 03 2007 Adam Williamson <awilliamson@mandriva.org> 0.0.6-1mdv2008.0
+ Revision: 78483
- use Fedora license policy
- minor spec clean
- new release 0.0.6

* Sat Sep 01 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.5-1mdv2008.0
+ Revision: 77440
- 0.0.5
- switch to WebKit
- use autoconf2.5

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Tue Jul 17 2007 Michael Scherer <misc@mandriva.org> 0.0.3-1mdv2008.0
+ Revision: 52780
- version 0.0.3

* Wed Jun 20 2007 Adam Williamson <awilliamson@mandriva.org> 0.0.2-1mdv2008.0
+ Revision: 41681
- new release 0.0.2; drop X-Mandriva menu category; drop patch (no longer needed)

* Tue May 22 2007 Adam Williamson <awilliamson@mandriva.org> 0.0.1-1mdv2008.0
+ Revision: 29831
- Import midori

